[Overview][Constants][Types][Classes][Index] | Reference for unit 'syncobjs' (#fcl)

# ELockRecursionException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Lock recursion exception

## Declaration

Source position: syncobjs.pp line 33

`type ELockRecursionException = class(ESyncObjectException)`

## Inheritance

`ELockRecursionException` |  | Lock recursion exception
`ESyncObjectException` |  | Exception object used in unit syncobjs
`Exception`
`TObject`

## Description

ELockRecursionException is provided for Delphi compatibility. It is not used in FPC.

## See also

ESyncObjectException |  | Exception object used in unit syncobjs
ELockException |  | Locking error exception